1 - Create Config Inspection

1.1 - 1.1

post /v1/configinspection/diagnosis/save

Description

Create Diagnosis Object

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedConfigInspectionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "diagnosis_id": "Sample Diagnosis Name",
    "result": true
}

1.2 - 1.0

post /v1/configinspection/diagnosis/save

Description

Create Diagnosis Object

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "result": true
}

2 - Delete Config Inspection

2.1 - 1.1

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

Delete Config Inspection Product

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

2.2 - 1.0

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

Delete Config Inspection Product

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

3 - Diagnosis Request

3.1 - 1.1

post /v1/configinspection/diagnosis/request

Description

Request diagnosis

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

3.2 - 1.0

post /v1/configinspection/diagnosis/request

Description

Request diagnosis

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

4 - Disgnosis Response

4.1 - 1.1

post /v1/configinspection/diagnosis/response

Description

Response diagnosis

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

4.2 - 1.0

post /v1/configinspection/diagnosis/response

Description

Response diagnosis

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

5 - Get Diagnosis Object Detail

5.1 - 1.1

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

Get Diagnosis Object Detail

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

5.2 - 1.0

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

Get Diagnosis Object Detail

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

6 - Get Diagnosis Result Detail

6.1 - 1.1

get /v1/configinspection/report/diagnosis/detail

Description

get Diagnosis Result Detail

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
Sequence of diagnosis request
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.598Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

6.2 - 1.0

get /v1/configinspection/report/diagnosis/detail

Description

get Diagnosis Result Detail

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
Sequence of diagnosis request
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.445Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

7 - List Config Inspection

7.1 - 1.1

get /v1/configinspection/diagnosis/list

Description

get config inspection list

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
my Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
recent Diagnosis State
Example : Completed
any of [array[string], null]None
querystart_date
optional
start Date
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

7.2 - 1.0

get /v1/configinspection/diagnosis/list

Description

get config inspection list

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
my Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
recent Diagnosis State
Example : Completed
any of [array[string], null]None
querystart_date
optional
start Date
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

8 - List Diagnosis Result

8.1 - 1.1

get /v1/configinspection/report/diagnosis/list

Description

get Diagnosis Result List

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
account Id
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
start Date
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
Status of diagnosis
Example : Completed
any of [string, null]None
queryuser_id
optional
user Id
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

8.2 - 1.0

get /v1/configinspection/report/diagnosis/list

Description

get Diagnosis Result List

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
account Id
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
start Date
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
Status of diagnosis
Example : Completed
any of [string, null]None
queryuser_id
optional
user Id
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}